<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="caseStepState">
            <h2><span>Case Step State</span> {{ caseStepState.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Name</span></dt>
                <dd>
                    <span>{{ caseStepState.name }}</span>
                </dd>
                <dt><span>State</span></dt>
                <dd>
                    <span>{{ caseStepState.state }}</span>
                </dd>
                <dt><span>Step</span></dt>
                <dd>
                    <div *ngIf="caseStepState.step">
                        <a [routerLink]="['/case-step', caseStepState.step?.id, 'view']">{{ caseStepState.step?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/case-step-state', caseStepState.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
